--- title: "Get Rate Limiting Profiles in a Domain" slug: "get-rate-limiting-profiles-in-a-domain-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:44Z published: 2026-11-19T12:57:44Z canonical: "docs.trellix.com/get-rate-limiting-profiles-in-a-domain-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Rate Limiting Profiles in a Domain This URL gets the list of rate limiting profiles defined in a particular domain. ### Resource URL GET /domain//ratelimitingprofiles ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `domain_id` | Domain id | Number | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `RateLimitingProfilesForDomainResponseList` | List of rate limiting profiles defined in the domain | Array | Details of RateLimitingProfilesForDomainResponseList: | Field Name | Description | Data Type | | --- | --- | --- | | `profileId` | Rate limiting profile unique id | Number | | `name` | Name of the rate limiting profile | String | | `domainId` | Domain id | Number | | `visibleToChild` | Is profile visible to child domains | Boolean | | `description` | Profile description | String | | `isEditable` | Is profile editable | Number | | `lastModifiedUser` | Last user that modified the profile | String | | `lastModifiedTime` | Last time the profile was modified | String | | `interfaceType` | Interface type, can be "MBPS_10" / "MBPS_100" / "GBPS_1" / "GBPS_100" | String | ### Example **Request** GET [https:///sdkapi/domain/0/ratelimitingprofile](https://<NSM_IP>/sdkapi/domain/0/ratelimitingprofile) **Response** ``` {       "RateLimitingProfilesForDomainResponseList":       [           {               "profileId": 1003,               "name": "Profile10Mbps",               "domainId": 0,               "visibleToChild": true,               "description": "Profile Visible To Child Domain in Domain 0 ",               "isEditable": true,               "lastModifiedUser": "admin",               "lastModifiedTime": "2012-10-09 13:32:56",               "interfaceType": "MBPS_10"           },           {               "profileId": 1000,               "name": "UpdateTestProfile1",               "domainId": 0,               "visibleToChild": false,               "description": "Updated Test Profile Not visible to child domain",               "isEditable": true,               "lastModifiedUser": "admin",               "lastModifiedTime": "2012-10-09 13:32:57",               "interfaceType": "GBPS_10"           }       ] } ``` ### Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 1001 | internal error | | 2 | 404 | 1105 | Invalid domain |